Ejemplo n.º 1
0
        private void lbItems_DoubleClick(object sender, EventArgs e)
        {
            if (lbItems.SelectedItems.Count == 0)
            {
                return;
            }
            PosCheckResult check = lbItems.SelectedItems[0].Tag as PosCheckResult;

            DWGUtility.ZoomToObjects(check.Items);
        }
Ejemplo n.º 2
0
 void extender_CustomColumnClick(object sender, CheckForm.ListViewExtender.CustomColumnClickEventArgs e)
 {
     if (e.ColumnIndex == 3)
     {
         // Fix
         if (e.Item == null)
         {
             return;
         }
         PosCheckResult check = e.Item.Tag as PosCheckResult;
         if (check.Fix())
         {
             ReadPos(m_Items);
             PopulateList();
         }
     }
     else if (e.ColumnIndex == 4)
     {
         // Zoom
         if (e.Item == null)
         {
             return;
         }
         PosCheckResult check = e.Item.Tag as PosCheckResult;
         DWGUtility.ZoomToObjects(check.Items);
     }
     else if (e.ColumnIndex == 5)
     {
         // Select and close form
         if (e.Item == null)
         {
             return;
         }
         PosCheckResult check = e.Item.Tag as PosCheckResult;
         Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor.SetImpliedSelection(check.Items.ToArray());
         Close();
     }
 }